Summary: Utilities for dealing with MTD (flash) devices
Name:    mtd-utils
Version: 2.1.5
Release: %mkrel 1
License: GPLv2+
Group:   System/Kernel and hardware
URL:     http://www.linux-mtd.infradead.org/
Source0: ftp://ftp.infradead.org/pub/mtd-utils/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(libacl)
BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(lzo2)
BuildRequires: pkgconfig(openssl) 
BuildRequires: pkgconfig(zlib) 
BuildRequires: pkgconfig(uuid)

%description
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%package ubi
Summary: Utilities for dealing with UBI
Group: System/Kernel and hardware

%description ubi
The mtd-utils-ubi package contains utilities for manipulating UBI on 
MTD (flash) devices.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_sbindir}/doc*
%{_sbindir}/flash*
%{_sbindir}/ftl*
%{_sbindir}/jffs2dump
%{_sbindir}/jffs2reader
%{_sbindir}/lsmtd
%{_sbindir}/mkfs.jffs2
%{_sbindir}/mtd*
%{_sbindir}/nand*
%{_sbindir}/nftl*
%{_sbindir}/recv_image
%{_sbindir}/rfd*
%{_sbindir}/serve_image
%{_sbindir}/sumtool
%{_sbindir}/mkfs.ubifs
%{_sbindir}/fectest
%{_sbindir}/mount.ubifs
%{_mandir}/*/*
%doc COPYING jffsX-utils/device_table.txt
%{_libexecdir}/mtd-utils/*


%files ubi
%{_sbindir}/ubi*



%changelog
* Mon Oct 24 2022 ghibo <ghibo> 2.1.5-1.mga9
+ Revision: 1898877
- Update to release 2.1.5

* Wed Mar 30 2022 umeabot <umeabot> 2.1.4-2.mga9
+ Revision: 1833782
- Mageia 9 Mass Rebuild

* Sun Jan 30 2022 mrambo3501 <mrambo3501> 2.1.4-1.mga9
+ Revision: 1770618
- version 2.1.4
- fix files list

* Sat Oct 02 2021 wally <wally> 2.1.2-2.mga9
+ Revision: 1747959
- rebuild for openssl 3.0.0

* Wed Jul 15 2020 zezinho <zezinho> 2.1.2-1.mga8
+ Revision: 1606413
- new version 2.1.2

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-2.mga8
+ Revision: 1536347
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 16 2019 zezinho <zezinho> 2.1.1-1.mga8
+ Revision: 1454177
- add new binary lsmtd
- add new BR on Zstd and OpenSSL
- new version 2.1.1

* Thu Oct 18 2018 zezinho <zezinho> 2.0.2-1.mga7
+ Revision: 1322069
- new version 2.0.2

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1299638
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 zezinho <zezinho> 2.0.1-1.mga7
+ Revision: 1160314
- new version

* Tue May 10 2016 tv <tv> 1.5.2-1.mga6
+ Revision: 1012136
- new release
- new release

* Mon Feb 15 2016 umeabot <umeabot> 1.5.1-3.mga6
+ Revision: 961530
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 1.5.1-2.mga6
+ Revision: 896254
- add -stdc=gnu89 to CFLAGS (Work-around to c11 compatibility)

* Sat Jul 25 2015 blino <blino> 1.5.1-1.mga6
+ Revision: 857208
- 1.5.1
- package new jffs2reader tool

* Wed Oct 15 2014 umeabot <umeabot> 1.4.6-5.mga5
+ Revision: 739749
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.6-4.mga5
+ Revision: 682677
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 518085
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.6-2.mga3
+ Revision: 360467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 05 2011 doktor5000 <doktor5000> 1.4.6-1.mga2
+ Revision: 138899
- fix Group of -ubi subpackage
- new version 1.4.6
  o bugfix release, fixing "mtdinfo -a" breakage
- fix Group (mga#2136)
- remove useless %%defattr

* Sat Jun 18 2011 tmb <tmb> 1.4.4-1.mga2
+ Revision: 109388
- imported package mtd-utils


* Sat Jun 18 2011 Thomas Backlund <tmb@mageia.org> 1.4.4-1.mga1
- initial Mageia import
- update to 1.4.4

* Sun Mar 20 2011 Josh Boyer <jwboyer@gmail.com>
- Update to 1.4.3 (#684374)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 01 2010 David Woodhouse <David.Woodhouse@intel.com> - 1.3.1-1
- Update to 1.3.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 02 2008 David Woodhouse <david.woodhouse@intel.com> - 1.2.0-1
- Update to 1.2.0

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.0-3
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 David Woodhouse <dwmw2@infradead.org> - 1.1.0-2
- Build ubi-utils

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> - 1.1.0-1
- Update to 1.1.0 + nandtest + multicast utils

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> - 1.0.1-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.1-1
- Update to 1.0.1

* Tue May  2 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.0-2
- Fixes from review (include COPYING), BR zlib-devel
- Include device_table.txt

* Sun Apr 30 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.0-1
- Initial build.

